// Written by Ed Hong, 11/09/04.
// SimpleMap is an extremely simplified version of
//  Java's Map interface.
// This interface map keys to values. Duplicate Keys
//  are not allowed.
// This interface has only the get and put method of the
//  standard java Map interface.

import java.util.*;

public interface SimpleMap {

/*	Returns the value to which this map maps the specified key.
    Returns null if the map contains no mapping for this key.
	In other words, this method finds the KeyValuePair stored
	in tree whose key field .equals the specified key and returns
    the value of the key.
	You may assume key != null.
  Parameters:
      key - key whose associated value is to be returned.
  Returns:
      the value to which this map maps the specified key, or
	   null if the map contains no mapping for this key.*/
	public Object get(Comparable key) ;

/*  Associates the specified value with the specified key in this map.
    If the map previously contained a mapping for this key,
	the old value is replaced by the specified value.
	You may assume key != null and value != null.
  Parameters:
    key - key with which the specified value is to be associated.
    value - value to be associated with the specified key.
*/
	public void put(Comparable key, Object value) ;

}
